Skip to main content
POST
/
v1
/
transaction
/
init
Initialise a transaction
curl --request POST \
  --url https://api.zeam.money/gw/v1/transaction/init \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "status": 201,
  "message": "<string>",
  "data": {
    "requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Authorizations

Authorization
string
header
required

Bearer token issued by the gateway. Source the token from one of:

  • POST /v1/public/auth/verify-otp (OTP user)
  • POST /v1/public/auth-connect/sign-in (Connect app)
  • OAuth (end-user mobile/web)

Include as Authorization: Bearer <token>.

Body

application/json

No body allowed — the gateway injects the payload.

The body is of type object.

Response

Transaction initialised.

status
integer
Example:

201

message
string
data
object